Subject: Re: bug#3247: 23.0.93; Gnus 5.13 sends corrupted messages with Cyrillic

From: Dmitri Paduchikh <[email-masked]>
Date: Sat, 02 Jul 2011 19:12:59 +0600

Hello,

Lars Magne Ingebrigtsen:

LI> Dmitri Paduchikh <[email-masked]> writes:

>> (push 'koi8-r mm-coding-system-priorities)
>> (push '(koi8-r . 8bit) mm-body-charset-encoding-alist)
>>
>> Then insert in the body part of message buffer (using message-mode) the
>> string "всё ещё" and send it to yourself. Observe the result in your
>> inbox.

LI> I've tried this in Emacs 24, and things seem to work there (as this
LI> message will hopefully show :-), so I'm closing this bug report.

No, it doesn't work for me.  I tried this in freshly built Emacs 24 and
the result is the same: the string "всё ещё" turns into "в  е ".
I am including the text of my test message below with all headers.
Sorry, but I couldn't send it as message/rfc822, because forwarding with
C-3 C-c C-f (gnus-summary-mail-forward) changes the
Content-Transfer-Encoding header of the enclosed message to base64, and
C-2 C-c C-f complains about non-printable characters.

Please note that message-send-mail-function in my configuration is set
to message-send-mail-with-sendmail.  Whereas judging from recent
discussions in emacs-devel you might be using smtpmail-send-it.

,----
| Return-Path: <[email-masked]>
| X-Original-To: dima
| Delivered-To: [email-masked]
| Received: from paduch.telenet.ru (localhost [127.0.0.1])
| 	by ait.home-net (Postfix) with ESMTP id 327C7120428
| 	for <dima>; Sat,  2 Jul 2011 18:17:43 +0600 (YEKST)
| From: [email-masked]
| To: [email-masked]
| Subject: тест
| Date: Sat, 02 Jul 2011 18:17:43 +0600
| X-Gnus-Mail-Source: maildir:~/Maildir/new
| Message-ID: <[email-masked]>
| User-Agent: Gnus/5.13 (Gnus v5.13)
| MIME-Version: 1.0
| Content-Type: text/plain; charset=koi8-r
| Content-Transfer-Encoding: 8bit
| Lines: 2
| Xref: ait.home-net mail.other:44238
| 
| Это в  е  тест для    GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+
| Version 2.24.4) of 2011-07-02 on ait
`----

-- 
Dmitri Paduchikh